
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java 接口常量反模式及定义 Java 常量的教程 / iVAN</title>

    <meta name="description" content="Java 接口常量反模式及定义 Java 常量的教程 初学 Java 的人很不经意间就会把常量定义在接口中,大概唯一的理由是接口不能实例化,而使用接口中定义的常量也是不用附着在实例上的.这主要还是 JDK 本身给我们做了很多这样的榜样, 如  java.io.ObjectStreamConstans,多是出现在 Enum 类型到来之前. 其实 Java 的接口常量是一种反模式,理由如下: 1. 接口是不能阻止被实现或继承的,也就是说子接口或实现中是能够覆盖掉常量的定义(重名),这样通过父,子接口(或实现) 去引用常量是可能不一致的2. 同样的,由于">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Java 接口常量反模式及定义 Java 常量的教程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>初学 Java 的人很不经意间就会把常量定义在接口中，大概唯一的理由是接口不能实例化，而使用接口中定义的常量也是不用附着在实例上的。这主要还是 JDK 本身给我们做了很多这样的榜样, 如  java.io.ObjectStreamConstans，多是出现在 Enum 类型到来之前。</p>
<p>其实 Java 的接口常量是一种反模式，理由如下：</p>
<p>1. 接口是不能阻止被实现或继承的，也就是说子接口或实现中是能够覆盖掉常量的定义(重名)，这样通过父，子接口(或实现) 去引用常量是可能不一致的<br />2. 同样的，由于被实现或继承，造成在继承树中可以用大量的接口, 类 或实例去引用 同一个常量，从而造成接口中定义的常量污染了命名空间。(Java 编译器竟然允许使用实例去引用类变量)<br />3. 接口暗含的意思是：它是需被实现的，代表着一种类型，它的公有成员是要被暴露的 API。而在接口中定义的常量说不上是 API</p>
<p>4. 这点有些重复，Java 允许通过子类去引用父类中定义的常量，各级对像实例去引用父类的常量，所以这会造成相当的混乱不堪。定义的常量不能保证单一的引用方式。</p>
<p>参见： Effective java 第 19 条: 接口只用于定义类型</p>
<p>既然接口中不适于定义常量，那么该在何处为常量安家呢？接口为 实现/继承 而生，如果放在类中，并且这个类是 final，且封闭掉构造方法就行。于是我们先前的接口常量定义</p>
<pre>public interface Gender {
  public static final int MALE = 1;
  public static final int FEMALE = 0;
}
就变成了
public final class Gender {
  private Gender() {
  }
 
  public static final int MALE = 1;
  public static final int FEMALE = 0;
}</pre>
<p>这就是 JDK 的 java.nio.charset.StandardCharsets 的写法。</p>
<p>在封闭的 final 类中定义常量确实是前进了一大步。但上面那样定义变量还有个致命缺陷，假如某个方法希望接收 Gender 的 MALE 或 FEMALE，所以类型是 int，而实际你可以传入一个 3，于是这个方法可能傻眼了。也就是说这样定义常量没有边界限制。</p>
<p>如果是为了定义一些松散的常量值，是可以使用 final 型封闭的类，如</p>
<pre>public final class ConfigConstants {
  private ConfigConstants() {
  }
 
  public static final String FILE_PATH = "/data/credentials.conf";
  public static final int MAX_LIMIT = 100;
}
如果要定义的多个常量值是同质的，那么最好的定义常量的方式应该是枚举(上面的例子是没理由用枚举了)
public enum Gender {
  MALE, 
  FEMALE
}</pre>
<pre>上面的定义实质就是一个继承了 java.lang.Enum 的 final 类，获得了 java.lang.Enum 中有用方法，并且直接被编译器禁止被实例化，它有有限的两个 Gender 型成员  MALE 和 FEMALE。Java 枚举原理详见： 通过反编译字节码来理解 Java 枚举</pre>
<p>最简表述上面的 Gender  枚举是</p>
<pre>public final class Gender extends java.lang.Enum {

  public static final Gender MALE;

  public static final Gender FEMALE;

}</pre>
<p>我们也能看到 JDK 也倾向于用枚举来定义常量了，如 java.nio.file.StandardOpenOption。</p>
<p>这样对于接受 Gender 类型参数的方法就只能传入 MALE 或 FEMALE 了，不再有其他选项，这就是枚举的意义。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索java<br />
                    ，                int<br />
                    ，                实例<br />
                    ，                接口<br />
                    ，                static<br />
                                    类型<br />
                                    java接口中定义常量、java 接口定义常量、在java接口中定义常量、接口定义常量、接口中定义常量，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-25 00:55:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%8e%a5%e5%8f%a3/" title="接口">接口</a>, <a href="https://www.iamivan.net/tag/%e5%ae%9e%e4%be%8b/" title="实例">实例</a>, <a href="https://www.iamivan.net/tag/%e7%b1%bb%e5%9e%8b/" title="类型">类型</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/static/" title="static">static</a>, <a href="https://www.iamivan.net/tag/int/" title="int">int</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Java 接口常量反模式及定义 Java 常量的教程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlZ18z.html" rel="bookmark">一个体现Java接口及工厂模式优点的例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着模式概念的普及,了解模式和使用模式的程序员越来越多,很多人在学习模式的时候,都会有这样一种疑惑:&quot;有必要搞得这么复杂吗?&quot;.的确,因为教程的例子过于简单化(这样方便读者学习),或者是作者选例子的时候并没有很好体现所讲模式的优点,很多情况下如果仅就其例子的问题来说,用模式是太复杂了.因此才导致这样的误解:&quot;模式就是把简单的问题复杂化吗?&quot;.当然不是,随着你开发实践的不断丰富,你终会发现模式强大威力,而且模式也并非贵族化的编程方式,它就是一些经过提炼了的解决问题的方			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQakdQb.html" rel="bookmark">Java中的常量避免反模式的方法&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在应用中,我们往往需要一个常量文件,用于存储被多个地方引用的共享常量.在设计应用时,我也遇到了类似的情况,很多地方都需要各种各样的常量. 我确定需要一个单独的文件来存储这些静态公共常量.但是我不是特别确定是应该用接口还是类(枚举不满足我的需求).我有两种选择: 使用接口,如: package one; public interface Constants { String NAME=&quot;name1&quot;; int MAX_VAL=25; } 或 package two; public cla			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz448Yz.html" rel="bookmark">Java中的常量：如何避免反模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在应用中,我们往往需要一个常量文件,用于存储被多个地方引用的共享常量.在设计应用时,我也遇到了类似的情况,很多地方都需要各种各样的常量. 我确定需要一个单独的文件来存储这些静态公共常量.但是我不是特别确定是应该用接口还是类(枚举不满足我的需求).我有两种选择: 使用接口,如: package one; public interface Constants { String NAME=&quot;name1&quot;; int MAX_VAL=25; } 或 package two; public cla			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVlA3z.html" rel="bookmark">深入理解java三种工厂模式&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				适用场合: 7.3 工厂模式的适用场合 创建新对象最简单的办法是使用new关键字和具体类.只有在某些场合下,创建和维护对象工厂所带来的额外复杂性才是物有所值.本节概括了这些场合. 7.3.1 动态实现 如果需要像前面自行车的例子一样,创建一些用不同方式实现同一接口的对象,那么可以使用一个工厂方法或简单工厂对象来简化选择实现的过程.这种选择可以是明确进行的也可以是隐含的.前者如自行车那个例子,顾客可以选择需要的自行车型号:而下一节所讲的XHR工厂那个例子则属于后者,该例中所返回的连接对象的类型取决			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDAv4Lb.html" rel="bookmark">Java访问在接口中定义的常量</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们在定义常量的时候,可以把常量定义在接口里面,如: package org.zy.demo.base; public interface InterfaceDemo { final String name=&quot;this is my name&quot;; } 上面是我定义的接口和常量. 常量的定义没有指明 public static 我实现此接口: package org.zy.demo.base; public class InterfaceImpl implements InterfaceD			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq8L0Rb.html" rel="bookmark">java接口中定义的常量的访问方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们在定义常量的时候,可以把常量定义在接口里面,如: packageorg.zy.demo.base; publicinterfaceInterfaceDemo{ finalStringname=&quot;thisismyname&quot;; } 上面是我定义的接口和常量. 常量的定义没有指明publicstatic 我实现此接口: packageorg.zy.demo.base; publicclassInterfaceImplimplementsInterfaceDemo{ } 那么我们如何访问呢			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJGV7b.html" rel="bookmark">Java 理论与实践&colon; 伪typedef反模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				将泛型添加到 Java 语言中增加了类型系统的复杂性,提高了许多变量和方法声明的冗长程度.因为没有提供 &quot;typedef&quot; 工具来定义类型的简短名称,所以有些开发人员转而把扩展当作 &quot;穷人的 typedef&quot;,结果收到了良好的效果. 对于 Java 5.0 中新增的泛型工具,一个常见的抱怨就是,它使代码变得太冗长.原来用一行就够的变量声明不再存在了,与声明参数化类型有关的重复非常讨厌,特别是还没有良好地支持自动补足的 IDE.例如,如果想声明一个 Map,它的键是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPRZmb.html" rel="bookmark">Java接口的定义，使用，以及事件的监听方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				众所周知,类是对所有对象所共有的方法和属性的定义,即类是一个抽象的规则,定义一个类无非是两个用途,或者生成对象调用其方法,或者用作给其他类来继承,而在后一个用途上,我们要求子类必须重写父类的方法时就需要定义一个接口. 接口本身也是一个类,但是接口定义的是一个没有任何方法体实现的方法,而这也是接口定义的规则,只能定义方法名,返回值,以及参数表,而不能有实现.并且,接口不能用来直接创建对象. 在定义接口的时候,一个class类可以实现多个接口,而一个class类只能继承一个class,这也就意味着我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg3kD3M.html" rel="bookmark">JAVA之旅（一）&mdash;&mdash;基本常识，JAVA概念&comma;开发工具&comma;关键字&sol;标识符，变量&sol;常量，进制&sol;进制转换，运算符，三元运算</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JAVA之旅(一)--基本常识,JAVA概念,开发工具,关键字/标识符,变量/常量,进制/进制转换,运算符,三元运算 Android老鸟重新学一遍JAVA是什么感觉?枯燥啊,乏味啊,而且归纳写博客,都是很痛苦的事情,但是程序之路这么长,你必须精通的不能再精通一门语言才行(有点说大了哈),但是最起码你要如鱼得水吧,我准备的资料有: JAVA编程思想 深入浅出JAVA 黑马,传智,慕课,极客学院等-的视频 Google搜索 我们既然是重新学一遍,那我们尽量就是用记事本去敲代码好了,这里我用notep			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6JQAM.html" rel="bookmark" class="title">使用ASP生成图片彩色校验码</a>
					<div>
						使用ASP生成图片彩色校验码 49行代码,三个文件 Asp文件:Code.Asp 数据文件:body.Fix , Head.Fix 下载:下载打包文件 用法:&lt;img src=&quot;cod ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZPDkM.html" rel="bookmark" class="title">如何解决关键词排名波荡起伏不定</a>
					<div>
						  站长们最头大的就是网站关键词排名波荡起伏不定,努力奋斗了很长时间,好不容易排名上来了,但却极其不稳定,排名一天一个变化,针对这样的情况如果没有个好的心态还真是会让人崩溃,因此,做SEO的心态都十分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2RNQp.html" rel="bookmark" class="title">Liferay 模板文件的解析</a>
					<div>
						大家都知道Liferay的内核框架由一组Velocity模板文件组成的,它们位于$LIFERAY_HOME\liferay-portal-6.1.0-ce-ga1\tomcat-7.0.23\weba ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLAmZb.html" rel="bookmark" class="title">实现Web方式软交换配置管理系统的研究</a>
					<div>
						1 软交换技术简介 软交换技术采用分层的网络架构,把传统电路交换机的呼叫控制功能从媒体网关中分离出来,通过软件实现连接控制.呼叫进程选择.呼叫选路等呼叫控制功能.软交换一方面,造就了网络的融合,另一方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAvwvb.html" rel="bookmark" class="title">Oracle Undo Redo简介</a>
					<div>
						什么是REDO REDO记录transaction logs,分为online和archived.以恢复为目的. 比如,机器停电,那么在重起之后需要online redo logs去恢复系统到失败点. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jBK3b.html" rel="bookmark" class="title">电脑防火墙一般安装在哪里？</a>
					<div>
						电脑防火墙一般安装在哪里? 防火墙安装后的位置:双击打开&quot;我的电脑&quot;→控制面板→安全中心--Windows 防火墙(如下图1.2.3) (图1)   (图2) (图3) 一般情况下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL3KZb.html" rel="bookmark" class="title">Python实现股市信息下载的方法</a>
					<div>
						       本文实例讲述了Python实现股市信息下载的方法.分享给大家供大家参考.具体如下:        该程序下载来自yahoo财经的股市信息. ? 1 2 3 4 5 6 7 8 9 10  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8YQOb.html" rel="bookmark" class="title">win7无线鼠标停顿怎么办？</a>
					<div>
						  由于win7系统中有一项USB选择性暂停造成的.这项设置主要为了节电,当他检测到用户没有对系统进行操作而对USB设备的暂时关闭的功能.如果我们选择关闭它,无线(USB)鼠标停顿的现象就不会出现了. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOajr8M.html" rel="bookmark" class="title">Keynote怎么添加视频和音频</a>
					<div>
						  添加视频和音频 将视频或音频文件添加到幻灯片时,它仅在幻灯片在演示文稿中显示时才播放. 执行以下任一项操作: 将媒体文件从 Finder 拖到幻灯片上的任意位置或图像占位符上. 点按工具栏中的&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJPBnp.html" rel="bookmark" class="title">如何辨别win7系统是不是正版</a>
					<div>
						  购买新电脑都会安装系统,安装win7系统后,还不知道自己用的是盗版还是正版,让人感到很疑惑,那么怎么辨别Win7系统是否正版呢?下面小编教大家区别Win7系统是否正版的方法,感兴趣的用户可以一起看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZQj3b.html" rel="bookmark" class="title">cpu风扇转速多少正常？</a>
					<div>
						  cpu风扇转速多少正常? 正常情况下1000-2500转左右(因主板或CPU的工作状态不同而改变),早期的CPU风扇达到3000转或更高,服务器风扇一般会比普通要高些,可达到10000转,部分超频 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oy2Bb.html" rel="bookmark" class="title">USB3&period;1可否让接口统一？</a>
					<div>
						  从PC出现至今,接口的发展的不断进化,有些随着时间的推进已经消失,而其中USB无疑是最经久不衰的接口之一了,从1996年USB1.0出现至今,已经近20年的历程,而接口速率也从USB1.0发展至U ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqw5xb.html" rel="bookmark" class="title">如何用VB做一个跟鼠标移动有关的windows服务程序？</a>
					<div>
						问题描述 如何用VB做一个跟鼠标移动有关的windows服务程序? 我想做一个只要鼠标移动就会发生的一个windows 服务程序,还有要可以在龙之谷中运行. 解决方案 1.鼠标Hook 2.timer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6g9AM.html" rel="bookmark" class="title">c&num;-继续求教，C&num; webbrowser获取div的内容，详细补充一下</a>
					<div>
						问题描述 继续求教,C# webbrowser获取div的内容,详细补充一下 C# webbrowser想获取div的内容,但是div里的内容是空白的,网页上又是有内容的,如何做啊.就是就是这个里面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPeAAp.html" rel="bookmark" class="title">apache总数自动挂掉，附上报错日志，求大神啊！！</a>
					<div>
						问题描述 apache总数自动挂掉,附上报错日志,求大神啊!! [Fri Jan 15 19:14:35.434536 2016] [mpm_winnt:notice] [pid 3636:tid 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0Jd4M.html" rel="bookmark" class="title">【OA办公】OA办公自动化系统有哪些类型？</a>
					<div>
						OA办公系统是将现代化办公和计算机技术结合起来的一种新型的办公方式.但由于不同厂商的OA办公系统功能侧重点也不一样,所以OA办公系统的类型也可以分为以下几种类型. 事务型OA系统.管理型OA系统.决策 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB131Jz.html" rel="bookmark" class="title">如何写软文？</a>
					<div>
						摘要: 今天看见一篇点击率非常高,回复率也非常高的文章.本来我还以为会是一篇分享 淘宝创业 故事的大篇幅干货文章.但是点进去我傻了,这篇文章才几行字,而且是很简单的几行字. 今天看见一篇点击率非常高, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0m2BM.html" rel="bookmark" class="title">magento 1&period;4-- 新功能Widget使用初步示例</a>
					<div>
						Widget是magento1.4新增的功能之一,Widget这个词直译过来是小挂件,小装置的意思,在Magento中,Widget是提供给CMS的一个加强功能,可以很方便的加入各种动态内容,比如最近 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQl8Yp.html" rel="bookmark" class="title">761&period;com成功易主组建761有限公司 高调进军旅游行业</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 近期数字域名频频传来捷报,团购领域的数字88.com 55.co ,后来又有360收购3600,雨林木风的115,116都证实数字域名在国内的地位.如今 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKx7Pp.html" rel="bookmark" class="title">SET协议中的认证中心和支付网关系统实现的源代码 谢谢了 很急</a>
					<div>
						问题描述 我写的是SET协议中的认证中心和支付网关的设计与实现,所以急需两个系统的源代码,最好是使用VisualStudio.netC#语言,在下感激不尽 解决方案 解决方案二:up解决方案三:想直接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9x8Vdb.html" rel="bookmark" class="title">开发一个模块小结</a>
					<div>
						想取得不一样的东西,就要做不一样的事 以前做工作,就是随着做,没有时间意识,虽然不是故意有一打没一打的做,做实际上就是有一打没一打的在做 看到别的同事一直在争分夺秒的在做这个事,一直不是很理解,工作嘛 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5B98z.html" rel="bookmark" class="title">android使用多线程更新ui示例分享&lowbar;Android</a>
					<div>
						Android线程涉及的技术有:Handler;Message;MessageQueue;Looper;HandlerThread. 下面看一段在线程中更新UI的代码: 复制代码 代码如下: publ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlmxo8p.html" rel="bookmark" class="title">详解Android中BroadCastReceiver组件&lowbar;Android</a>
					<div>
						BroadcastReceiver也就是&quot;广播接收者&quot;的意思,它是用来接收来自系统和应用中的广播. 在Android中,Broadcast是一种广泛运用的在应用程序之间传输信息的机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jBBVp.html" rel="bookmark" class="title">怎么限制Apache日志文件大小&lpar;error&period;log、access&period;log&rpar;</a>
					<div>
						如何删除error.log.access.log文件以及限制Apache日志文件大小的方法介绍,Apache服务器下access.log以及error.log日志文件一直没有没有动过,今天wordpr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2n1vM.html" rel="bookmark" class="title">asp&period;net操作xml增删改示例分享&lowbar;实用技巧</a>
					<div>
						复制代码 代码如下: using System; using System.Collections; using System.ComponentModel; using System.Data; u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO5Pwb.html" rel="bookmark" class="title">Microsoft&period;Office&period;Interop&period;Excel问题，如何将文件另存为</a>
					<div>
						问题描述 Microsoft.Office.Interop.Excel.ApplicationClassexcel=newMicrosoft.Office.Interop.Excel.Applicat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2YORz.html" rel="bookmark" class="title">codeforce Number of Ways&lpar;暴力&rpar;</a>
					<div>
						#include&lt;iostream&gt; #include&lt;cstdio&gt; #include&lt;cstring&gt; #include&lt;algorithm&gt; #d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKZyZz.html" rel="bookmark" class="title">物联网概念股频遭减持</a>
					<div>
						市场对物联网的炒作引发了相关公司股东的减持.近来,相关公司发布的公告显示,这轮炒作成为这些公司大小非&quot;出逃&quot;的机会. 从市场来看,节后两个交易日,新大陆连续 涨停,而物联网概念的其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenreVb.html" rel="bookmark" class="title">android仿新浪引导界面</a>
					<div>
						最近在研究如何做出仿微信,仿新浪等应用,第一次安装使用的使用展示应用程序的新特性和用法. 实现功能:左右手势滑屏     底部小圆点随当前显示页跳动     浮动按钮显示.当触屏事件发生显示,否则就渐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3E2ewp.html" rel="bookmark" class="title">天翼图书创始人：对书敏感的人不会对书价敏感</a>
					<div>
						南都记者 陈琳琳 实习生 周荀 7月9日,中国首家经理人图书公司上海天翼图书联手中山大学管理学院和岭南学院两大商学院,在中山大学举办天翼图书第24届管理论坛,上百名知名企业高管与会,天翼图书创始人李月 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
